# create-hibernate-cfg-xml

## Purpose

The `create-hibernate-cfg-xml` command will create a hibernate.cfg.xml file for custom Hibernate mappings.

## Examples

    grails create-hibernate-cfg-xml

## Description

Creates a `hibernate.cfg.xml` file in the `grails-app/conf/hibernate` directory. You can add `<mapping>` elements there to reference annotated Java domain classes, classes mapped by hbm.xml files, or hbm.xml files containing `<database-object>` elements defining custom DDL that's not supported by GORM.

Usage:

    grails create-hibernate-cfg-xml

Fired Events:

- `CreatedFile` - When the file is created